#!/bin/bash

PROG="./sgemm"
N=1024
MAX_BLOCK_SIZE=32

# Body
BX=1
while ((BX<=MAX_BLOCK_SIZE)); do
	BY=1
	while ((BY<=MAX_BLOCK_SIZE)); do
		echo -n "$BX "
		echo -n "$BY "
		nvprof --csv --print-gpu-summary -u us $PROG $N $BX $BY 2>&1 | grep "sgemm(" | cut -f 5 -d ","
		((BY+=1))
	done
	((BX+=1))
	echo " "
done
